# Uses of Interface
org.springframework.cglib.core.KeyFactoryCustomizer

Packages that use KeyFactoryCustomizer
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.core.internal
Spring's repackaging of the CGLIB core internal package (for internal use only).

## Uses of KeyFactoryCustomizer in org.springframework.cglib.core

Subinterfaces of KeyFactoryCustomizer in org.springframework.cglib.core
Modifier and Type
Interface
Description
`interface`
`Customizer`
Customizes key types for `KeyFactory` when building equals, hashCode, and toString.
`interface`
`FieldTypeCustomizer`
Customizes key types for `KeyFactory` right in constructor.
`interface`
`HashCodeCustomizer`
Methods in org.springframework.cglib.core with parameters of type KeyFactoryCustomizer
Modifier and Type
Method
Description
`void`
KeyFactory.Generator.`addCustomizer(KeyFactoryCustomizer customizer)`
`static KeyFactory`
KeyFactory.`create(ClassLoader loader, Class keyInterface, KeyFactoryCustomizer customizer, List<KeyFactoryCustomizer> next)`
`static KeyFactory`
KeyFactory.`create(Class keyInterface, KeyFactoryCustomizer first, List<KeyFactoryCustomizer> next)`
Method parameters in org.springframework.cglib.core with type arguments of type KeyFactoryCustomizer
Modifier and Type
Method
Description
`static KeyFactory`
KeyFactory.`create(ClassLoader loader, Class keyInterface, KeyFactoryCustomizer customizer, List<KeyFactoryCustomizer> next)`
`static KeyFactory`
KeyFactory.`create(Class keyInterface, KeyFactoryCustomizer first, List<KeyFactoryCustomizer> next)`

## Uses of KeyFactoryCustomizer in org.springframework.cglib.core.internal

Methods in org.springframework.cglib.core.internal with parameters of type KeyFactoryCustomizer
Modifier and Type
Method
Description
`void`
CustomizerRegistry.`add(KeyFactoryCustomizer customizer)`